# Create S3 access key

```http
POST /v1/tenants/{tenantId}/access_keys
```

Base URL: `https://api-portal.aur.lu/api`

Operation ID: `CreateS3AccessKey`

Authentication: ApiKeyAuth (API key in header `X-Api-Key`)

Required permission: `create:s3:access_keys`

Creates a new S3 access key for the given tenant

## Parameters

### Path parameters

- `tenantId` (string, required) — Tenant ID

## Request body (required)

Access key request

Content type: `application/json`

- `access` (array of string) — Default s3 permissions: [s3:GetBucketLocation, s3:ListAllMyBuckets] Additional permissions: * Read                             [s3:GetObject, s3:ListMultipartUploadParts] * Write                            [s3:PutObject, s3:AbortMultipartUpload] * Delete                           [s3:DeleteObject] * List                             [s3:ListBucket, s3:ListBucketMultipartUploads] * GetBucketVersioning              [s3:GetBucketVersioning] * GetBucketObjectLockConfiguration [s3:GetBucketObjectLockConfiguration] * ListBucketVersions               [s3:ListBucketVersions] * GetObjectVersion                 [s3:GetObjectVersion] * GetObjectRetention               [s3:GetObjectRetention] * GetObjectLegalHold               [s3:GetObjectLegalHold] * PutObjectRetention               [s3:PutObjectRetention] * PutObjectLegalHold               [s3:PutObjectLegalHold] * DeleteObjectVersion              [s3:DeleteObjectVersion]
- `buckets` (array of string)
- `expiration` (string)
- `name` (string)

Example request body:

```json
{
  "access": [
    "string"
  ],
  "buckets": [
    "string"
  ],
  "expiration": "string",
  "name": "string"
}
```

## Responses

### 201 — Created access key

Content type: `application/json`

- `accessKey` (object)
  - `accessKeyId` (string)
  - `accessKeySecret` (string)
  - `createdAt` (string)
  - `expiresAt` (string)
  - `id` (string)
  - `modifiedAt` (string)
  - `name` (string)
  - `tenantId` (string)

### 400 — Bad request

Content type: `application/json`

- `message` (string)

### 409 — Conflict

Content type: `application/json`

- `message` (string)
